%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% O P T I O N S:
% 1. thesis/dissertation
% 2. monochrome
% 3. all options provided by the report class
\documentclass[dissertation,letterpaper,12pt]{utthesis} % thesis, one side
% some alternatives are:
%\documentclass[thesis,monochrome,letterpaper,12pt]{utthesis} %thesis, one side, monochrome text
%\documentclass[thesis,twoside,letterpaper,12pt]{utthesis} % thesis, two side
%\documentclass[thesis,monochrome,twoside,letterpaper,12pt]{utthesis} % thesis, two side, monochrome text
% for a dissertation, replace the thesis option by dissertation:
% \documentclass[dissertation,letterpaper,12pt]{utthesis} . . .
\renewcommand{\baselinestretch}{1.5} 	 % line Spacing
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% TO DO: FILL IN YOUR INFORMATION BELOW - READ THIS SECTION CAREFULLY
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\title{Understanding Process-Structure Relationship For Site-Specific Microstructure Control in Electron Beam Powder Bed Additive Manufacturing Process Using Numerical Modeling}	       % title of thesis/dissertation
\author{Narendran Raghavan}    % author's name
\copyrightYear{2017}          % copyright year of your dissertation
\graduationMonth{December}           % month of graduation of your thesis/dissertation
\majorProfessor{Sudarsanam Suresh Babu}	% advisor's name
\keywords{List, Of, Keywords}	% keywords (optional) separated by commas - these are used in the PDF file properties
\viceProvost{Carolyn R. Hodges} % vice provost name
\major{Energy Science and Engineering}	% major: Mechanical Engineering, Aerospace Engineering, Mathematics...
\degree{Doctor of Philosophy}	    % degree: Doctor of Philosophy, Master of Science, Master of Engineering...
\college{Engineering}           % college
\dept{Bredesen Center For Interdisciplinary Research and Graduate Education}	% department
\university{The University  of Tennessee, Knoxville}	% school name
% THIS TEMPLATE ACCOMMODATES UP TO 5 COMMITTEE MEMBERS - ENTER ONLY THE NAMES OF THE MEMBERS ON YOUR COMMITTEE
\numberOfCommitteeMembers{3} % enter the number of committee members
\committeeMemberA {Ryan R Dehoff}	% name of first committee member
\committeeMemberB {Hahn Choo}	% name of second committee member
\committeeMemberC {William R Hamel}	% ... you get the trend!
%\committeeMemberD {Christopher A. Baker}	% if your committee has less than 4 members, you do not need to edit the
%\committeeMemberE {}  % rest of committee names
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LOAD SOME USEFUL PACKAGES
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        \renewcommand{\contentsname}{Table of Contents}
    
    %\usepackage{showframe}    
    \usepackage{upgreek}
    \usepackage{textgreek}
    \usepackage{textcomp}
    \usepackage{paralist}
    \usepackage{adjustbox}
    \usepackage{listings}
    \lstset{breaklines=true}
    %\usepackage{nomencl}                    % produces a nomenclature
    \usepackage{float}                      % figure floats
        \floatstyle{plaintop}
        \restylefloat{table}    
    \usepackage[backend=biber, style=numeric, sorting=none]{biblatex}
    \addbibresource{references.bib}
    \usepackage{hyperref}
    \usepackage[noabbrev]{cleveref}  
    %\usepackage[numbers, sort&compress]{natbib}            % this package allows you to link your references
   % \usepackage{notoccite}
    \usepackage{graphicx}					% graphics package
    \graphicspath{{figures/}{figures/eps/}{figures/pdf/}{figures/jpg/}}% specify the path where figures are located
    \usepackage{fancyhdr}                   % fancy headers and footers
    \usepackage{url}                        % nicely format url breaks
    \usepackage[inactive]{srcltx}		 	% necessary to use forward and inverse searching in DVI
    \usepackage{relsize}                    % font sizing hierarchy
    \usepackage[T1]{fontenc}				   % makes symbols work
    %\usepackage{gensymb}
    \usepackage{tabularx,booktabs}                   % professional looking tables
    \newcolumntype{C}{>{\centering\arraybackslash}X} % centered version of "X" type
	\setlength{\extrarowheight}{1pt}
    \usepackage{pdflscape}
    \usepackage[config, labelfont={bf}]{caption} % nice sub figures
    %\usepackage{subcaption}
    \usepackage{mathrsfs}                   % additional math scripts
    \usepackage{amsmath} 
    \usepackage{mathtools}
    \usepackage{sectsty} 
    \usepackage{lipsum}
    \chapterfont{\centering}
    \usepackage{array}
    \usepackage{multirow}
    \usepackage{rotating}
    \usepackage{lscape}
    \newcounter{MYtempeqncnt}
    \usepackage{color}%for different font colors
    \usepackage{subfig}
   	\usepackage{pbox}  %Table
   	\hypersetup{citecolor=black} %Makes citation in paragraphs numbers black 
   	\hypersetup{linkcolor=black} %Makes Table of Content text black. 
	\hypersetup{pdfstartview={XYZ null null 1.00}}   	 %Makes the pdf open in 100% view 
	\usepackage{booktabs, threeparttable, stackengine}
	\usepackage{array}
	     \newcolumntype{L}[1]{>{\raggedright\let\newline\\\arraybackslash\hspace{0pt}}m{#1}}
         \newcolumntype{C}[1]{>{\centering\let\newline\\\arraybackslash\hspace{0pt}}m{#1}}
         \newcolumntype{R}[1]{>{\raggedleft\let\newline\\\arraybackslash\hspace{0pt}}m{#1}}
	\usepackage{soul}  %for underline with wrapping
	\usepackage{siunitx}
	\newcolumntype{L}[1]{>{\raggedright\arraybackslash}p{#1}}
	\setstackEOL{\#}
	\setstackgap{L}{12pt}
	\geometry{top=1in,left=1in,bottom=1in,right=1in}
	


%%% PACKAGES THAT ARE PRELOADED WITH THE CLASS ARE: amsmath,amsthm,amssymb,setspace,geometry,hyperref,and color
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{document}
    \pagenumbering{alph} % this is needed to clear certain issues with the hyperref package
	%\makeApprovalPage % make the approval page - this is the page that needs to be signed & returned to the thesis/dissertation consultant
    %\makeETDApprovalPage % make the Electronic Thesis & Dissertation page - this page is kept with the electronic copy
    %
    \addToPDFBookmarks{0}{Front Matter}{rootNode} % create a root node named "Front Matter" in the pdf bookmarks
    \addToPDFBookmarks{1}{Title}{a} % add a pdf bookmark to the title page
    \makeTitlePage % make the title page. Make sure you properly set the \docType
    %
    \pagenumbering{roman}
    \setcounter{page}{2}
    %
    \makeCopyrightPage % make the copyright page
    %
   \addToPDFBookmarks{1}{Dedication}{b} % add a pdf bookmark to the dedication page
   \include{dedication} % include the dedication
    %
    \addToPDFBookmarks{1}{Acknowledgements}{c} % add a pdf bookmark to the acknowledgements page
    \include{acknowledgements} % include the acknowledgements
    %
    \addToPDFBookmarks{1}{Quote}{d} % add a pdf bookmark to the quotation page
   \include{quote} % include a quote
    %
    \addToPDFBookmarks{1}{Abstract}{e} % add a pdf bookmark to the abstract page
    \include{abstract} % your abstract
    %
    \addToPDFBookmarks{0}{Table of Contents}{f}
    \tableofcontents % generate a table of contents
    %
    %\addToTOC{List of Tables} % this will add the list of tables to the Table of Contents (TOC)
    \listoftables % generate a list of tables
    %
   % \addToTOC{List of Figures} % this will add the list of figures to the Table of Contents (TOC)
    \listoffigures % generate a list of figures
    %
    %\makenomenclature % OPTIONAL
   % \addToPDFBookmarks{0}{nomenclature}{g} % OPTIONAL
    %\printnomenclature[1.25in] % OPTIONAL
    %
    \newpage
    \pagenumbering{arabic}
    \setcounter{page}{1}
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % INCLUDE THE CHAPTERS STARTING WITH THE NOMENCLATURE IF PRESENT
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %\include{nomenclature} % OPTIONAL
    \include{chapter-1}
    \include{chapter-2}
    \include{chapter-3}
    \include{chapter-4}       
    \include{chapter-5}
    \include{chapter-6}
	\include{chapter-7}
	\include{chapter-8}
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % BIBLIOGRAPHY
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
         %\renewcommand{\thepage}{}  

    \makeBibliographyPage % make the bibliography title page - can be edited in ut-thesis-template.tex
    \pagebreak
	\printbibliography[heading=none]
	%\bibliographystyle{apalike}
	%\bibliographystyle{unsrtnat}
%    \bibliographystyle{IEEEstyle} % bibliography style - recommend using apalike-doi as it hyperlinks DOIs
    \renewcommand{\bibname}{}
	
    %\bibliography{references.bib} % references.bib included in the references directory
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % APPENDIX - OPTIONAL - COMMENT IF NOT NEEDED
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    \addToTOC{Appendices}   
    \makeAppendixPage   % make the appendix title page - can be edited in ut-thesis-template.tex
    \appendix
   \include{back-matter/Appendix-1}
   \include{back-matter/Appendix-2}
   \include{back-matter/Appendix-3}

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % A VITA IS REQUIRED
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    \addToTOC{Vita}
    \include{back-matter/vita}
\end{document}
